{ config, pkgs, ... }:
let
  ssd-subvolumes = {
    "arch.p1st.de" = {};
    "blogger.privacy1st.de" = {};
    "changedetection.p1st.de" = {};
    "cloud.privacy1st.de" = {};
    "git.privacy1st.de" = {};
    "mastodon-toot-follower.privacy1st.de" = {};
    "money.p1st.de" = {};
    "music.privacy1st.de" = {};
    "paste.p1st.de" = {};
    "proxy" = {};
    "recipe.privacy1st.de" = {};
    "traggo.privacy1st.de" = {};
  };
  hdd-subvolumes = {
    "cloud.privacy1st.de" = {};
    # MediaKollektiv: 796 GiB
    "cloud.media-kollektiv.eu" = {};
  };
in
{
  yoda.btrbkSnapshots = [
    {
      instance = "local-snapshot-ssd";
      volume = "/jc-data";
      snapshot_dir = "/snap";
      subvolume = ssd-subvolumes;
    }
    {
      instance = "local-snapshot-hdd";
      volume = "/mnt/data/jc-data";
      snapshot_dir = "/mnt/data/snap2";
      subvolume = hdd-subvolumes;
    }
  ];
  yoda.btrbkBackups = [
    {
      instance = "local-backup-ssd";
      volume = "/jc-data";
      snapshot_dir = "/snap";
      target = "/mnt/backup/snap";
      subvolume = ssd-subvolumes;
    }
    {
      instance = "local-backup-hdd";
      volume = "/mnt/data/jc-data";
      snapshot_dir = "/mnt/data/snap2";
      target = "/mnt/backup/snap2";
      subvolume = hdd-subvolumes;
    }
  ];
}
